Environment Provisioning - Get Provisioning Templates

Retrieves available templates for environment provisioning in a location.

GET https://api.powerplatform.com/environmentmanagement/provisioning/locations/{location}/templates?api-version=2024-10-01

URI Parameters

Name In Required Type Description
location
path True

string

The location name.

api-version
query True

string

The API version.

Responses

Name Type Description
200 OK

EnvironmentTemplatePagedCollection

OK

Media Types: "text/plain", "application/json", "text/json"

400 Bad Request

ValidationResponse

Bad Request

Media Types: "text/plain", "application/json", "text/json"

Security

oauth2

Microsoft Entra ID OAuth2

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com

Scopes

Name Description
.default .default

Definitions

Name Description
DisabledReason
EnvironmentSku

The environment SKU.

EnvironmentTemplate
EnvironmentTemplatePagedCollection
ErrorEntry

Represents the error detail for a single entry in an error dictionary.

ErrorInfo

Represents error information for an operation.

TemplateAvailability
ValidationResponse

Represents the response for validation of an operation.

DisabledReason

Name Type Description
code

string

message

string

EnvironmentSku

The environment SKU.

Value Description
NotSpecified
Standard
Premium
Developer
Basic
Production
Sandbox
Trial
Default
Support
SubscriptionBasedTrial
Teams
Platform

EnvironmentTemplate

Name Type Description
availability

TemplateAvailability[]

displayName

string

isCustomerEngagement

boolean

isSupportedForResetOperation

boolean

name

string

EnvironmentTemplatePagedCollection

Name Type Description
collection

EnvironmentTemplate[]

continuationToken

string

ErrorEntry

Represents the error detail for a single entry in an error dictionary.

Name Type Description
errorMessages

string[]

The error messages describing what is wrong.

suggestedValue

string

A suggested or accepted value that would resolve the error.

ErrorInfo

Represents error information for an operation.

Name Type Description
code

string

The error Code.

fieldErrors

<string,  ErrorEntry>

The detailed error.

TemplateAvailability

Name Type Description
disabledReason

DisabledReason

environmentSku

EnvironmentSku

The environment SKU.

isDisabled

boolean

ValidationResponse

Represents the response for validation of an operation.

Name Type Description
errorDetail

ErrorInfo

Represents error information for an operation.